# Partie IHM du projet OpenQuizz

Cette branche contient tout ce qui a été développé, avec l'outil Flask, pour 
réaliser les interactions avec la base de données (et git) du projet OpenQuizz


## Deployer le projet
Le détail complet des manipulations est disponible dans le guide d'installation (branche documents de ce dépot)  

## Configurer le projet

Toutes les commandes se lancent après création / activation d'un environnement virtuel python
`sudo apt install python3-virtualenv`, le générer `virtualenv venv` puis l'activer `source venv/bin/Activate`

Les dépendances nécessaires sont listées dans le fichier requirements.txt
```
pip install -r requirements.txt
```

(Pour rappel, ce fichier est généré via la commande `pip freeze > requirements.txt`)

###Pour lancer le projet (sur le serveur local)
```
python app.py
```
ou
```
python -m flask run
```

## Deployer le projet
Le détail complet des manipulations est disponible dans le guide d'installation (branche documents de ce dépot)  
<br>

    L'url actuelle du serveur est : 193.70.2.155
    Se connecter via ssh avec les identifiants : ubuntu / Zp9rgzSs9fAz

L'installation du projet Flask dans apache se fait via l'installation d'un module spécifique 
`sudo apt install libapache2-mod-wsgi-py3` et la configuration d'un hote avec des commandes spéciales
(cf guide d'installation). Le fichier présent dans la branche appelé app.wsgi est essentiel pour déployer flask.